# PlayRun

API Documentation: | `PlayRun`

Note: This class is incubating and may change in a future version of Gradle.

Task to run a Play application.

### Properties

Property | Description
`applicationJar` | Incubating The Play application jar to run.
`assetsDirs` | Incubating The directories of the assets for the Play application (for live reload functionality).
`assetsJar` | Incubating The assets jar to run with the Play application.
`forkOptions` | Incubating fork options for the running a Play application.
`httpPort` | Incubating The HTTP port listened to by the Play application. This port should be available. The Play application will fail to start if the port is already in use.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `applicationJar`

Note: This property is incubating and may change in a future version of Gradle.

The Play application jar to run.

#### ``Set`<`File`>` `assetsDirs`

Note: This property is incubating and may change in a future version of Gradle.

The directories of the assets for the Play application (for live reload functionality).

#### `File` `assetsJar`

Note: This property is incubating and may change in a future version of Gradle.

The assets jar to run with the Play application.

#### `BaseForkOptions` `forkOptions` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

fork options for the running a Play application.

#### `int` `httpPort`

Note: This property is incubating and may change in a future version of Gradle.

The HTTP port listened to by the Play application. This port should be available. The Play application will fail to start if the port is already in use.